* {
    box-sizing: border-box;
    -webkit-user-select: none;
    user-select: none;
}

#container {
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: auto;
    flex-wrap: wrap;
    flex-direction: column;
    height: 100%;
    min-height: 700px;
}

main {
    width: 1000px;
    height: 700px;
    border: 2px solid hsl(298, 48%, 25%);
    margin: auto auto;
    min-width: 1000px;
    min-height: 700px;
    overflow: hidden;
    position: relative;
    display: none;
}

main#main {
    background-image: linear-gradient(to top, #ec8f9d, #e55c9a);
}

main#intro {
    justify-content: center;
    background: linear-gradient(90deg, #f0d28b, #f55c6a, #7a19b7);
    --border-width: 5px;
    align-items: center;
    flex-wrap: wrap;
    flex-direction: column;
    border: var(--border-width) dashed hsl(298, 48%, 43%);
    background-position-x: calc(0px - var(--border-width));
    background-size: calc(100% + 2 * var(--border-width));
}

#textOpen {
    justify-content: center;
    width: 80%;
    height: 40%;
    border-radius: 10px 100px / 120px;
    bottom: auto;
    color: rgb(46, 7, 46);
    text-shadow: 1px 1px 0px rgb(226 105 226 / 58%);
    text-align: center;
    padding: 5px 40px;
    font-size: 25px;
    font-weight: 400;
    background: -webkit-linear-gradient(90deg, #ffa45e, #ec4176, #a4396f);
    /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(90deg, #e48190, #fda2aa, #f5e1b4);
    /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    /* background-image: linear-gradient(to top, PeachPuff 0%, Moccasin 50%, AntiqueWhite 100%); */
}

#number {
    color: hsla(278, 73%, 14%, 0.4);
    text-shadow: none;
    display: block;
    position: absolute;
    left: 0;
    text-align: center;
    font-size: 4em;
    top: 0;
    height: 100%;
    padding: inherit;
    width: 100%;
    line-height: 1;
}

.fireworksOverlay {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 0;
}

main#intro>* {
    z-index: 1;
}

#introForm {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: stretch;
    margin-top: 30px;
    width: 40%;
    height: 10%;
}

.btn {
    border: solid rgb(67, 7, 67);
    border-width: 2px 4px;
    border-radius: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 5px 30px;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    font-size: 30px;
    font-weight: 500;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
    background: -webkit-linear-gradient(90deg, #fda2aa, #f5e1b4);
    background: linear-gradient(90deg, #fda2aa, #f5e1b4);
}

.btnIntro {
    color: rgb(156 0 156);
}

.btnIntro:hover {
    text-shadow: 0px 0px 15px #ffffff;
}

.btnForMain {
    justify-content: flex-start;
    align-items: flex-start;
    text-align: left;
    font-size: 1.1em;
    flex-shrink: 1;
    margin-bottom: 5px;
    padding: 0.2em 1.5em;
    color: rgb(67, 7, 67);
}

#top {
    position: absolute;
    top: 0;
    height: 8%;
    width: 100%;
    display: flex;
    justify-content: space-between;

}

.clock {
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
    text-transform: uppercase;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    font-style: italic;
    box-sizing: border-box;
    border: 1px solid rgb(7, 3, 119);
    width: 20%;
    color: rgb(46, 41, 90);
    background: -webkit-linear-gradient(90deg, #fda2aa, #f5e1b4);
    background: linear-gradient(90deg, #fda2aa, #f5e1b4);
    font-family: Arial, Helvetica, sans-serif;
    font-size: 1.25em;
}

.start {
    border-radius: 0px 0px 15px 0px;
    padding: 5px;
}

.end {
    border-radius: 0px 0px 0px 15px;
    display: none;
}

.bg {
    z-index: -100;
    width: 100%;
}

.block {
    position: absolute;
    bottom: 40%;
    width: 70%;
    height: 50%;
}

.left {
    left: 0;
}

.right {
    right: 0;
}

img.fig {
    display: none;
    height: 100%;
}

#figLeft {
    margin-left: 30px;
}

#figRight {
    margin-right: 50px;
    float: right;
}

.speech-bubble {
    position: relative;
    display: none;
    border-radius: 2em;
    min-height: 4em;
    padding: 0.6em 1.1em;
    font-size: 1.2em;
    max-width: 360px;
    hyphens: auto;
    word-wrap: break-word;
    font-family: "Comic Sanc MS", "Comic Sans", "Chalkboard SE", "Comic Neue", cursive;
    box-shadow: Purple 0px 0px 8px;
}

#bubbleLeft {
    vertical-align: top;
    background-color: var(--left-bbl-color);
    margin-left: 34px;
}

#bubbleRight {
    top: 130px;
    background-color: var(--right-bbl-color);
    float: right;
    margin-right: 34px;
}

:root {
    --left-bbl-color: #f5e1b4;
    --right-bbl-color: #fda2aa;
}

#bubbleLeft:after {
    content: '';
    position: absolute;
    left: 7px;
    top: 50%;
    width: 0;
    height: 0;
    border: 41px solid transparent;
    border-right-color: var(--left-bbl-color);
    border-left: 0;
    border-bottom: 0;
    margin-top: -20px;
    margin-left: -41px;
}

#bubbleRight:after {
    content: '';
    position: absolute;
    right: 7px;
    top: 50%;
    width: 0;
    height: 0;
    border: 41px solid transparent;
    border-left-color: var(--right-bbl-color);
    border-right: 0;
    border-top: 0;
    margin-top: -20px;
    margin-right: -41px;
}

.blockInside {
    box-sizing: border-box;
    box-shadow: rgba(0, 0, 0, 0.25) 0px 14px 28px, rgba(0, 0, 0, 0.22) 0px 10px 10px;
    border: 2px solid rgb(67, 7, 67);
    font-weight: 700;
    font-size: large;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    position: relative;
}

.bottom {
    bottom: 0;
    height: 40%;
    padding: 5px 10px 10px 10px;
    position: absolute;
    width: 100%;
    justify-content: flex-start;
    flex-wrap: nowrap;
    border-radius: 10px 10px 0px 0px;
    background-image: linear-gradient(to top, #ec8f9d, #e55c9a);
    /* (to top, hsla(6, 79%, 79%, 1) 0%, hsla(351, 66%, 70%, 1) 50%, hsla(336, 53%, 61%, 0.8) 100%); */
}

#case {
    overflow-y: auto;
    flex-shrink: 2;
    min-height: 43%;
    position: relative;
}

#textBoxHidden {
    visibility: hidden;
}

#textBox {
    position: absolute;
    top: 0;
}

p {
    text-indent: 25px;
    text-indent: 0;
    white-space: pre-wrap;
    font-family: "Cormorant Garamond", serif;
    font-weight: 700;
    font-size: 22px;
    font-style: normal;
    color: rgb(252, 252, 255);
    text-shadow: rgb(0, 0, 0) 1px 0 7px;
    margin: 10px 5px 5px 5px;
}

button {
    box-shadow: rgba(0, 0, 0, 0.19) 0px 10px 20px, rgba(0, 0, 0, 0.23) 0px 6px 6px;
    background-image: linear-gradient(135deg, #fdfcfb 0%, #e2d1c3 100%);
    border-color: azure;
    border-radius: 15%;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-weight: 900;
    font-size: small;
    font-weight: 400;
    font-style: italic;
    margin-left: 10px;

}

form#choice {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-self: flex-start;
}

html {
    height: 100%;
    margin: 0px;
    background-color: rgb(43, 20, 44);
}

body {
    height: 100%;
    margin: 0px;
}

button:hover {
    box-shadow: rgba(0, 0, 0, 0.2) 0px 5px 10px;
    cursor: pointer;
}